/*Display Property*/

.div-1 {
	background-color: green;
	display: inline;
}

#span-1 {
	background-color: purple;
	display: none;
	width: 200px;
	height: 200px;
}

#span-2 {
	background-color: red;
	display: block;
}

#div-2 {
	display: none;
}

#img {
	width: 250px;
	height: 250px;
}

#p-1 {
	background-color: #87CEFA;
}

#p-2 {
	background-color: rgb(255,105,180);
	width: 60%;
}

#p-3 {
	width: 40%;
	background-color: yellow;
}

.sample {
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}



/*Float Property*/

.img-float {
	width: 50px;
	height: 50px;
	float: right;
}



/*CSS Units */

.box {
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent {
	width: 50%;
}

.one-hundred-pixels {
	width: 200px;
}

.fifty-vw {
	width: 50vw;
}

.fifty-vh {
	height: 50vh;
}



.parent {
	width: 135px;
	border: 2px solid navy;
}

.one-rem {
	font-size: 1rem;
}

.one-em {
	font-size: 1em;
}

.two-rem {
	font-size: 2rem;
}

.two-em {
	font-size: 2em;
}

.background{
	min-height: 100vh;
	background-color: gray;
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg); 
	background-repeat: no-repeat;
	background-size: cover;
	/*or 100% 100%;*/
	background-position: center center;
}

.bg-title {
	color: white;
	text-align: center;
	font-size: 5em;
	margin: 0;
	line-height: 30rem;
}

.container-bg {
	min-height: 100vh;
	background-color: rgba(123,75,35, 0.5);
}



/*CSS Positioning*/

.parent-element {
	background-color: skyblue;
	padding: 10px;
	min-height: 200vh;
}

.child-one {
	background-color: gray;
	padding: 10px;
}

	/*static - it will follow the document flow*/
	/*relative - may space, pero hindi nya gagamitin yung space. lalabas sa document flow*/
	/*absolute - iuusog nya yung position relative sa original position*/
	/*fixed - kahit nasaang part ng website, naka fixed pa rin doon*/
	/*sticky - tsaka lang sya mag fifixed kapag nadaanan ng scroll*/
.child-two {
	background-color: yellow;
	position: sticky;
	top: 10px;
	left: 10px;
	padding: 10px;
}

.child-three {
	background-color: gray;
	padding: 10px;
}



/*Z-Index Property*/
.container {
	position: relative;
}

.black-box {
	position: relative;
	border: 2px solid black;
	height: 100px;
	width: 30px;
	z-index: 1;
}


.gray-box {
	position: absolute;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
	z-index: 3;
}

.green-box {
	position: absolute;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
	z-index: 2;
}














